<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../../lang/".$lang."/".$lang.".php")) include "../../lang/".$lang."/".$lang.".php";
     else include "../../lang/ru/ru.php";

  $title=$titlepage = $TEXT['domain-title4'];
  $helppage = "";

  require_once "../../config.php";
  require_once "../../util/top_layer2.php";

  if($result2['administrator'] == 0) puterror3($TEXT['error-loginform4']);

  if(empty($_POST['domain'])) puterror3($TEXT['error-domain1']);
  if(strlen($_POST['domain'])>200) puterror3($TEXT['error-domain2']);
  if(empty($_POST['dom_id'])) puterror3($TEXT['error-domain1']);
  if(strlen($_POST['dom_id'])>200) puterror3($TEXT['error-domain2']);
  if(empty($_POST['tip'])) puterror3($TEXT['error-tip1']);
  if(strlen($_POST['tip'])>6) puterror3($TEXT['error-tip2']);

  if(isset($_POST['domain'])) $domain=trim($_POST['domain']);
    else $domain="";
     if (empty($domain)) puterror3($TEXT['error-domain3']);

  $_POST['domain'] = rep($_POST['domain']);
  $_POST['dom_id'] = rep($_POST['dom_id']);
  $_POST['tip'] = rep($_POST['tip']);

  //*************************************
  $query = "SELECT * FROM `callbackdomains` WHERE `domain`='".$_POST['dom_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror3($TEXT['error-tbl31']);
      $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-callbackdom-ed'];
  $what = $result2['domain']." (".$result2['type'].")".$TEXT['log-na'].$_POST['domain']." (".$_POST['tip'].")";
  $who = $result2['fullname'];
  //*************************************
  $query = "UPDATE `callbackdomains` SET `domain` = '".$_POST['domain']."', `type` = '".$_POST['tip']."' WHERE `domain`='".$_POST['dom_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror3($TEXT['error-log']);
  } else puterror3($TEXT['error-tbl31']);
  require_once "../../util/bottom.php";
?>
